@extends('back.layout.dashboard')

@section('contentTitle', 'Incidentes')

@section('topButton')
    {{-- @if( $permitions["create"] ) --}}
    {{-- {{ route('nueva_institucion') }} --}}
        {{-- <a href="{{ route('nueva_institucion') }}" class="m-l-15">
            <button type="button" class="btn btn-info d-none d-lg-block">
                <i class="fa fa-plus-circle"></i> Incidentes
            </button>
        </a> --}}
    {{-- @endif --}}
@stop


{{-- Main Content --}}
@section('content_dashboard')

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Código</th>
                                <th>Fecha de reporte</th>
                                <th>Mensaje</th>
                                <th>Multimedia</th>
                                <th>Estatus</th>
                                <th>Asignado a</th>
                                <th>Categoría</th>
                                <th>Última actualización</th>
                                <th>Severidad</th>
                                <th>Calificación</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($incidentes as $index => $incidente)
                                    <tr>
                                        <td>{{ $index + 1 }}</td>
                                        <td>{{ $incidente["codigo"]  }}</td>
                                        <td>{{ $incidente["created_at"]  }}</td>
                                        <td>{{ $incidente["mensaje"] }}</td>
                                        <td class="text-center">                                            
                                            @if ($incidente["multimedia"])
                                                <i style="color: #428bca;" class="fa fa-check-circle" aria-hidden="true"></i>
                                            @else
                                                <i style="color: #dc3545;" class="fa fa-times-circle" aria-hidden="true"></i>                                            
                                            @endif
                                        </td>
                                        <td>                                            
                                            @if ( $incidente["estatus"] == 0 )
                                                Nuevo    
                                            @endif

                                            @if ( $incidente["estatus"] == 1 )
                                                Abierto
                                            @endif

                                            @if ( $incidente["estatus"] == 2 )
                                                Seguimiento
                                            @endif

                                            @if ( $incidente["estatus"] == 3 )
                                                Cerrado
                                            @endif
                                        </td>
                                        <td>
                                            {{ $incidente["name"] }} {{ $incidente["lastname"] }}                                         
                                        </td>
                                        <th>
                                            @foreach ($categorias as $item)
                                                
                                                @if ($incidente["categoria"] == $item["id"])
                                                    {{$item["nombre"]}}
                                                @endif

                                            @endforeach
                                        </th>
                                        <td>{{ $incidente["updated_at"]  }}</td>
                                        <th>
                                            @if ( $incidente["severidad"] == 0 )
                                                Pendiente
                                            @endif

                                            @if ( $incidente["severidad"] == 1 )
                                                Baja
                                            @endif

                                            @if ( $incidente["severidad"] == 2 )
                                                Media
                                            @endif

                                            @if ( $incidente["severidad"] == 3 )
                                                Alta
                                            @endif
                                        </th>
                                        <th class="text-center">
                                            {{-- {{ $incidente["calificacion"] }} --}}
                                            @if ($incidente["calificacion"] == 1)                                            
                                                <img width="30" src="{{ url("assets/images/calificacion/2-s.png") }}" alt="">
                                            @elseif( $incidente["calificacion"] == 2 )
                                                <img width="30" src="{{ url("assets/images/calificacion/5-s.png") }}" alt="">                                            
                                            @elseif( $incidente["calificacion"] == 3 )
                                                <img width="30" src="{{ url("assets/images/calificacion/8-s.png") }}" alt="">
                                            @elseif( $incidente["calificacion"] == 4 )
                                                <img width="30" src="{{ url("assets/images/calificacion/10-s.png") }}" alt="">
                                            @else
                                                Sin calificar                                                
                                            @endif
                                        </th>
                                        <td>                                            

                                            @if( $permitions["view"] )
                                                <a href="{{ route('ver_incidente', base64_encode($incidente["id"])) }}">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-info">
                                                        <i class="fa fa-eye"></i> Ver
                                                    </button>
                                                </a>
                                            @endif

                                            {{-- @if( $permitions["edit"] )
                                                <a href="{{ route('editar_institucion', base64_encode($incidente->id)) }}">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                                </a>
                                            @endif --}}

                                            @if( $permitions["delete"] )
                                                <a href="{{ route('delete_incidente',  base64_encode($incidente['id'])) }}" class="btn-delete">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-danger">
                                                        <i class="fas fa-minus-circle"></i> Eliminar
                                                    </button>
                                                </a>
                                            @endif
                                                                                       
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@stop

{{-- Page JS --}}
@section('JS')
    {{ Html::script('system/js/table.js')  }}
    {{ Html::script('system/js/form.js')  }}

    <script>
        setTimeout( function(){
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'abiertos' ) }}'>Abiertos</a>&nbsp;");
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'seguimiento' ) }}'>Seguimiento</a>&nbsp;");
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'cerrados' ) }}'>Cerrado</a>&nbsp;");
        }, 1000);
    </script>
@stop
