@extends('back.layout.dashboard')

@section('contentTitle', 'Incidentes')

@section('topButton')
    <a href="{{ route('incidentes') }}" class="m-l-15">
        <button type="button" class="btn btn-info d-none d-lg-block">
            <i class="fas fa-chevron-left"></i> Regresar
        </button>
    </a>
@stop


{{-- Main Content --}}
@section('content_dashboard')

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Código</th>
                                <th>Fecha de reporte</th>
                                <th>Mensaje</th>
                                <th>Multimedia</th>
                                <th>Estatus</th>
                                <th>Responsable</th>
                                <th>Categoría</th>
                                <th>Última actualización</th>
                                <th>Severidad</th>
                                <th>Calificación</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($incidentes as $index => $incidente)
                                    <tr>
                                        <td>{{ $index + 1 }}</td>
                                        <td>{{ $incidente->codigo  }}</td>
                                        <td>{{ $incidente->created_at  }}</td>
                                        <td>{{ $incidente->mensaje }}</td>
                                        <td>{{ $incidente->multimedia }}</td>
                                        <td>                                            
                                            @if ( $incidente->estatus == 0 )
                                                {{-- Nuevo     --}}
                                            @endif

                                            @if ( $incidente->estatus == 1 )
                                                Abiertos    
                                            @endif

                                            @if ( $incidente->estatus == 2 )
                                                Seguimiento
                                            @endif

                                            @if ( $incidente->estatus == 3 )
                                                Cerrados
                                            @endif
                                        </td>
                                        <td>
                                            @if ( $incidente->estatus == 0 )
                                                Pendiente
                                            @endif
                                        </td>
                                        <th>Categoría</th>
                                        <td>{{ $incidente->updated_at  }}</td>
                                        <th>Severidad</th>
                                        <th>Calificación</th>
                                        <td>                                            

                                            @if( $permitions["view"] )
                                                <a href="{{ route('ver_incidente', base64_encode($incidente->id)) }}">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-info">
                                                        <i class="fa fa-eye"></i> Ver
                                                    </button>
                                                </a>
                                            @endif

                                            {{-- @if( $permitions["edit"] )
                                                <a href="{{ route('editar_institucion', base64_encode($incidente->id)) }}">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                                </a>
                                            @endif --}}

                                            @if( $permitions["delete"] )
                                                <a href="{{ route('delete_incidente',  base64_encode($incidente->id)) }}" class="btn-delete">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-danger">
                                                        <i class="fas fa-minus-circle"></i> Eliminar
                                                    </button>
                                                </a>
                                            @endif
                                                                                       
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@stop

{{-- Page JS --}}
@section('JS')
    {{ Html::script('system/js/table.js')  }}
    {{ Html::script('system/js/form.js')  }}

    <script>
        setTimeout( function(){
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'abiertos' ) }}'>Abiertos</a>&nbsp;");
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'seguimiento' ) }}'>Seguimiento</a>&nbsp;");
            $("#table_principal_filter").parent().append("<a class='btn btn-sm btn-info' href='{{ route('ver_incidentes', 'cerrados' ) }}'>Cerrado</a>&nbsp;");
        }, 1000);
    </script>
@stop
