@extends('back.layout.dashboard')

@section('contentTitle', 'Configuración de preguntas')

@section('topButton')
    @if( $permitions["create"] )    
        <a href="{{ route('nueva_pregunta') }}" class="m-l-15">
            <button type="button" class="btn btn-info d-none d-lg-block">
                <i class="fa fa-plus-circle"></i> Añadir pregunta
            </button>
        </a>
    @endif
@stop


{{-- Main Content --}}
@section('content_dashboard')

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Mensaje</th>
                                <th>Respuesta</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($preguntas as $index => $item)
                                    <tr>
                                        <td>{{ $index + 1 }}</td>
                                        <td>{{ $item->mensaje  }}</td>                                        
                                        <td>{{ $item->respuesta  }}</td>                                        
                                        <td>
                                            @if( $permitions["edit"] )
                                                <a href="{{ route('edit_pregunta', base64_encode($item->id)) }}">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                                </a>
                                            @endif
                                            @if( $permitions["delete"] )
                                                <a href="{{ route('delete_pregunta',  base64_encode($item->id)) }}" class="btn-delete">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-danger">
                                                        <i class="fas fa-minus-circle"></i> Eliminar
                                                    </button>
                                                </a>
                                            @endif                                                                                      
                                            
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@stop

{{-- Page JS --}}
@section('JS')
    {{ Html::script('system/js/table.js')  }}
    {{ Html::script('system/js/form.js')  }}
@stop
